clang 10.0.0git

Public Member Functions | List of all members
__cuda_builtin_blockIdx_t Struct Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Headers/__clang_cuda_builtin_vars.h"`

## Public Member Functions
| __CUDA_DEVICE_BUILTIN (x, __nvvm_read_ptx_sreg_ctaid_x())
| __CUDA_DEVICE_BUILTIN (y, __nvvm_read_ptx_sreg_ctaid_y())
| __CUDA_DEVICE_BUILTIN (z, __nvvm_read_ptx_sreg_ctaid_z())
| __attribute__ ((device)) operator uint3() const

## Detailed Description

Definition at line 63 of file __clang_cuda_builtin_vars.h.

## Member Function Documentation

## ◆ __attribute__()

__cuda_builtin_blockIdx_t::__attribute__ | ( | (device) |  | ) | const

## ◆ __CUDA_DEVICE_BUILTIN() [1/3]

__cuda_builtin_blockIdx_t::__CUDA_DEVICE_BUILTIN | ( | x | ,
|  | __nvvm_read_ptx_sreg_ctaid_x() |
| ) |  |

## ◆ __CUDA_DEVICE_BUILTIN() [2/3]

__cuda_builtin_blockIdx_t::__CUDA_DEVICE_BUILTIN | ( | y | ,
|  | __nvvm_read_ptx_sreg_ctaid_y() |
| ) |  |

## ◆ __CUDA_DEVICE_BUILTIN() [3/3]

__cuda_builtin_blockIdx_t::__CUDA_DEVICE_BUILTIN | ( | z | ,
|  | __nvvm_read_ptx_sreg_ctaid_z() |
| ) |  |

The documentation for this struct was generated from the following file:

- lib/Headers/__clang_cuda_builtin_vars.h